Linux Users - Read This !

For help and support with issues specific to Linux/Unix
Forum rules
Please make sure you follow the Problem Reporting Guidelines before posting if you want a reply.

Linux Users - Read This !

Postby shagrath » Sun Mar 29, 2009 6:49 pm

Generic linux distribution pms-generic-linux-unix.tgz (except ubuntu package) has the major downside of not including the ffmpeg, mplayer and mencoder binaries... that's why half of the time, errors are due to old versions your system is using... PS3 Media Server needs specific pre-patched and tested builds of these tools (especially mencoder) to work correctly! As a bare minimum ps3mediaserver needs standard 2011+ builds of these tools.

If you are using Ubuntu based distribution install PS3 MEdia Server with this package viewtopic.php?f=3&t=13046#p62621 It includes every required binary.
For other distributions see this thread viewtopic.php?f=3&t=14605 for installation instructions or compile tools yourself with provided scripts.

PS: If anyone is skilled enough to make packaging of ps3mediaserver for other distributions out there (good luck), well I'll be happy to help :p
shagrath
Project Lead
 
Posts: 2667
Joined: Wed Jan 14, 2009 1:39 pm

Re: Linux Users - Read This !

Postby ratatoskr » Sun Apr 05, 2009 5:08 pm

Thanks! This was realy useful for an Ubuntu noob like me! :mrgreen:
Now everything is working perfect!
Ubuntu 8.10 | PMS 1.10.5 | Core2Duo E5200 |
ratatoskr
 
Posts: 17
Joined: Sun Mar 08, 2009 5:24 pm

Re: Linux Users - Read This !

Postby Frank-NL » Mon Apr 06, 2009 8:43 am

Another option is to compile the binaries yourself, I found this how-to very usefull: (this one is for Ubuntu Jaunty, 9.04)

http://ubuntuforums.org/showthread.php?t=1081070

By doing this, you run the latest version of the programs and have a more optimized build for your system.
Frank-NL
 
Posts: 3
Joined: Wed Jan 21, 2009 3:52 pm

Re: Linux Users - Read This !

Postby orao » Sat Apr 18, 2009 4:16 pm

As an opensolaris user, ps3 media server did not work with the packages I got from blastwave, (lots of errors, nothing streamed really), but ps3media server worked great on windows.

I decided to compile ffmpeg and mplayer (latest from scratch), and it required compiling a couple of more (mp3lame etc.), but in the end system is working quite fine. So don't give up and get he ffmpeg and mpayer packages and compile them. On ym system ffmpeg did not have mp3 support, I had to force enable it even my system had mp3lame installed on it.

I tried compiling vlc player but it requires some work, so I am leaving it to someone else to succeed on it :)
orao
 
Posts: 5
Joined: Sat Apr 18, 2009 4:11 pm

Re: Linux Users - Read This !

Postby relaxedcrazyman » Sun May 17, 2009 7:42 pm

shagrath wrote:if you are using Ubuntu based distribution, you can get mplayer/mencoder binaries from there: https://launchpad.net/~rvm/+archive/ppa


i tried this first, and still whenever i tried to stream .avi movies, i always got "unsupported data" and when i try .mkv it says "Corrupted Data" then i tried this one:

Frank-NL wrote:Another option is to compile the binaries yourself, I found this how-to very usefull: (this one is for Ubuntu Jaunty, 9.04)

http://ubuntuforums.org/showthread.php?t=1081070

By doing this, you run the latest version of the programs and have a more optimized build for your system.



and still i get the same errors. i am running Ubuntu 9.04. Intel Core2Duo 1.86, 4 gigs of 800 ram. i also have tried PS3 Media Server on windows and it worked Golden. any other idea? MODS please let me know if i should move this question to another thread or something.

Note: i am new to linux, and so simple commands please.


Thanks for any help you can give
relaxedcrazyman
 
Posts: 1
Joined: Sun May 17, 2009 6:05 pm

Re: Linux Users - Read This !

Postby comorbid » Thu Jun 04, 2009 8:27 am

relaxedcrazyman wrote:
shagrath wrote:if you are using Ubuntu based distribution, you can get mplayer/mencoder binaries from there: https://launchpad.net/~rvm/+archive/ppa


i tried this first, and still whenever i tried to stream .avi movies, i always got "unsupported data" and when i try .mkv it says "Corrupted Data" then i tried this one:

Frank-NL wrote:Another option is to compile the binaries yourself, I found this how-to very usefull: (this one is for Ubuntu Jaunty, 9.04)

http://ubuntuforums.org/showthread.php?t=1081070

By doing this, you run the latest version of the programs and have a more optimized build for your system.



and still i get the same errors. i am running Ubuntu 9.04. Intel Core2Duo 1.86, 4 gigs of 800 ram. i also have tried PS3 Media Server on windows and it worked Golden. any other idea? MODS please let me know if i should move this question to another thread or something.

Note: i am new to linux, and so simple commands please.


Thanks for any help you can give


Since you're running Ubuntu, you should do this: http://ubuntuforums.org/showthread.php?t=766683

You don't necessarily need to do everything listed, but it's an almost unnecessarily comprehensive how-to, so you should be able to get exactly what you need out of it.
comorbid
 
Posts: 7
Joined: Thu Mar 12, 2009 10:43 pm

Re: Linux Users - Read This !

Postby iBurger » Tue Jun 30, 2009 10:21 pm

Frank-NL wrote:Another option is to compile the binaries yourself, I found this how-to very usefull: (this one is for Ubuntu Jaunty, 9.04)

http://ubuntuforums.org/showthread.php?t=1081070

By doing this, you run the latest version of the programs and have a more optimized build for your system.


This excellent manual also works for Debian. (5). Just make sure you add the following repository to
your sources.list.

Code: Select all
deb http://www.debian-multimedia.org lenny main
iBurger
 
Posts: 13
Joined: Wed Jun 10, 2009 3:45 pm

Re: Linux Users - Read This !

Postby Melladon » Fri Aug 07, 2009 12:56 am

i just compiled the binaries myself, and every file i convert still sayin theyre 10 hrs long. Ive run out of ideas. Please assist.


Thank you :D

Mel
Melladon
 
Posts: 6
Joined: Sun Aug 02, 2009 7:31 am

Re: Linux Users - Read This !

Postby Frank-NL » Mon Sep 28, 2009 12:37 pm

Update:
When running Karmic Koala, there's really no need for compiling yourself or using the PPA. The version of mencoder, ffmpeg etc. all work fine in combination with the latest build of PMS - tested on Ubuntu Server 9.10 (still Alpha at the moment, but running quite stable).
Frank-NL
 
Posts: 3
Joined: Wed Jan 21, 2009 3:52 pm

Re: Linux Users - Read This !

Postby vmlinuz » Wed Oct 14, 2009 7:27 pm

Here it's same using last 9.10
I done upgrade using sudo -s update-manager -d

only some lib links like libx264.so.66 need to be linked to new one 67

but til now all is fine
I'll let you posted.
tty soon
ciao
bye
à bientôt
CPU Intel Q9550 & RAM 4GB Lan : <100Mb/s wired> Router <100Mb/s> <CPL 200Mb/s @ 160Mb/s >=< 100Mb/s> PS3
old config til Feb 22th : Athlon x64 4200+ oc@2.6Gh RAM 4Gb
vmlinuz
 
Posts: 35
Joined: Mon Jan 19, 2009 10:25 am

Next

Return to Linux/Unix Support

Who is online

Users browsing this forum: No registered users and 5 guests

cron